# Sistema Bancário

O objetivo deste trabalho é desenvolver um sistema utilizando Java Remote Method Invocation (RMI). O software desenvolvido trata-se de um sistema bancário com transações sobre contas em máquinas diferentes.

## Execução

Em `banking-server/src/main/java/ufrn/imd`, execute a seguinte classe para rodar o Servidor:
```
BankingServerApp.java
```
Já para rodar o Cliente, execute a classe abaixo em `banking-client/src/main/java/ufrn/imd`:
```
BankingClientApp.java
```

### Predefinição

Ao iniciar o Cliente, será necessário informar o número da conta bancária para começar a utilizar a máquina. Existem duas contas predefinidas e seus números são:
- `321`
- `123`

## Desenvolvedores

- Fernando Ferreira de Lima Filho
- Maria Eduarda Eloi Pereira